import request from '@/utils/request'

// 用户登录
export function login(data) {
  return request({
    url: '/user/login/password',
    method: 'post',
    data
  })
}

// 修改密码
export function modifyPassword(data) {
  return request({
    url: '/user/update/password',
    method: 'post',
    data
  })
}

// 重置密码
export function resetPassword(data) {
  return request({
    url: '/shop/reset/password',
    method: 'post',
    data
  })
}

// 修改手机号
export function resetMobile(data) {
  return request({
    url: '/shop/mobile/change',
    method: 'post',
    data
  })
}

/** 发送验证码 */
export function sendVerifyCode(data) {
  return request({
    url: '/shop/verify/code/send',
    method: 'post',
    data
  })
}

/** 绑定登录号 */
export function bindLoginAccount(data) {
  return request({
    url: '/shop/account/bind',
    method: 'post',
    data
  })
}

/** 获取菜单列表 */
export function fetchUserInfo(params) {
  return request({
    url: '/sys/user/info',
    method: 'get',
    params
  })
}

/** 获取会员信息 */
export function fetchUserVipInfo(params) {
  return request({
    url: '/vip/info',
    method: 'get',
    params
  })
}

/** 代他操作token生成 */
export function generateProxyToken(params) {
  return request({
    url: '/shop/token/generate',
    method: 'get',
    params
  })
}
